# $Revision: 1.10 $, $Date: 2010/02/16 11:33:44 $
# TODO
# - compile from src.jar
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
#
%include	/usr/lib/rpm/macros.java
%define		srcname		help
Summary:	JavaHelp - online help system
Summary(pl.UTF-8):	JavaHelp - system pomocy online
Name:		java-help
Version:	2.0.05
Release:	1
License:	GPL v2
Group:		Libraries/Java
Source0:	http://download.java.net/javadesktop/javahelp/javahelp2_0_05.zip
# Source0-md5:	7bd68b82a1d5d8714856f661bd4d71a3
URL:		http://java.sun.com/products/javahelp/index.jsp
BuildRequires:	jpackage-utils >= 1.5
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils >= 1.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JavaHelp is an open source software, a full-featured,
platform-independent, extensible help system that enables you to
incorporate online help in applets, components, applications,
operating systems, and devices. Authors can also use the JavaHelp
software to deliver online documentation for the Web and corporate
intranet.

%description -l pl.UTF-8
JavaHelp to program z dostępnym kodem źródłowym będący w pełni
funkcjonalnym, niezależnym od platformy, rozszerzalnym systemem
pomocy pozwalającym umieszczać pomoc online w apletach, komponentach,
aplikacjach, systemach operacyjnych i urządzeniach. Autorzy mogą także
używać systemu JavaHelp do udostępniania dokumentacji online przez WWW
i w sieciach korporacyjnych.

%package manual
Summary:	Manual for JavaHelp
Summary(pl.UTF-8):	Podręcznik do systemu JavaHelp
Group:		Documentation

%description manual
Manual for JavaHelp.

%description manual -l pl.UTF-8
Podręcznik do systemu JavaHelp.

%package javadoc
Summary:	Javadoc for JavaHelp
Summary(pl.UTF-8):	Dokumentacja Javadoc do systemu JavaHelp
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Javadoc for JavaHelp.

%description javadoc -l pl.UTF-8
Dokumentacja Javadoc do systemu JavaHelp.

%package demo
Summary:	Demo for JavaHelp
Summary(pl.UTF-8):	Przykłady użycia systemu JavaHelp
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description demo
Demonstrations and samples for JavaHelp.

%description demo -l pl.UTF-8
Przykłady użycia systemu JavaHelp.

%prep
%setup -q -n jh2.0
find -name '.svn' | xargs rm -rf

# prevent javadoc being included in doc
mv doc/api apidocs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_bindir},%{_datadir}/%{name},%{_examplesdir}/%{name}-%{version}}
install javahelp/bin/jhindexer $RPM_BUILD_ROOT%{_bindir}/jhindexer
install javahelp/bin/jhsearch $RPM_BUILD_ROOT%{_bindir}/jhsearch

install javahelp/lib/jhall.jar $RPM_BUILD_ROOT%{_javadir}/jhall-%{version}.jar
install javahelp/lib/jh.jar $RPM_BUILD_ROOT%{_javadir}/jh-%{version}.jar
install javahelp/lib/jhbasic.jar $RPM_BUILD_ROOT%{_javadir}/jhbasic-%{version}.jar
install javahelp/lib/jsearch.jar $RPM_BUILD_ROOT%{_javadir}/jsearch-%{version}.jar
ln -s jhall-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jhall.jar
ln -s jh-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jh.jar
ln -s jhbasic-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jhbasic.jar
ln -s jsearch-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jsearch.jar
cp -a javahelp/lib/dtd $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -pr apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc README README.html
%attr(755,root,root) %{_bindir}/*
%{_javadir}/*.jar
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dtd

%files manual
%defattr(644,root,root,755)
%doc doc/*

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%files demo
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-help.spec,v $
Revision 1.10  2010/02/16 11:33:44  pawelz
- rel 1
- dropped Epoch: 0, end "0:" in deps

Revision 1.9  2009/04/03 15:13:26  pawelz
- renamed from javahelp

Revision 1.8  2009/03/30 05:29:46  pawelz
- G: Libraries/Java
- G: Documentation for manual and demo subpackages

Revision 1.7  2009/02/27 20:49:44  pawelz
- it is now free software (GPL v2 license)
- no longer nosrc package
- unified demo subpackage

Revision 1.6  2008/01/15 19:30:09  qboosh
- use NoSource-md5

Revision 1.5  2008-01-14 21:32:44  qboosh
- pl
- binary package has restricted Sun license

Revision 1.4  2007-12-02 12:58:57  glen
- fix jsearch jar link

Revision 1.3  2007-11-20 17:53:59  glen
- java deps

Revision 1.2  2007-11-18 17:57:46  glen
- package all jars and with original names

Revision 1.1  2007-11-18 14:31:17  glen
- new, based on jpackage
